Bug 1592897 - [RFE] [V2V] Set OpenStack conversion VM tags in CF for VM identification
Summary: [RFE] [V2V] Set OpenStack conversion VM tags in CF for VM identification
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: MVP
: 5.10.0
Assignee: Sam Lucidi
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
: 1592745 1592749 (view as bug list)
Depends On:
Blocks: 1569437
TreeView+ depends on / blocked
 
Reported: 2018-06-19 14:37 UTC by Anandeep Pannu
Modified: 2019-02-07 23:03 UTC (History)
13 users (show)

Fixed In Version: 5.10.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:14 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)
tag_imports.png (147.29 KB, image/png)
2018-11-14 12:47 UTC, Yadnyawalk Tale
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 0 None None None 2019-02-07 23:03:24 UTC

Description Anandeep Pannu 2018-06-19 14:37:05 UTC
Description of problem:
In order to identify which VM(s) are the ones set up to be OpenStack conversion VMs we need to load tags from OpenStack (which are added during conversion VM setup) so that they can be read and stored on CloudForms.  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Dave Johnson 2018-06-19 14:43:42 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 4 Loic Avenel 2018-09-10 15:51:43 UTC
*** Bug 1592749 has been marked as a duplicate of this bug. ***

Comment 5 Yadnyawalk Tale 2018-10-04 15:20:06 UTC
Where in CFME this tags are stored? Can you explain steps to get there?
I can't find it in VM > policy > tags, may be this is not correct place.

Comment 6 Sam Lucidi 2018-10-04 19:19:22 UTC
The tags from Openstack will appear on the VM details page under the "labels" heading. If those tags from Openstack have been mapped to ManageIQ tags, (ManageIQ Configuration -> Settings -> Tags -> Map Tags) then the mapped tags will appear under the "Smart Management" heading.

Comment 7 Loic Avenel 2018-10-30 12:31:06 UTC
*** Bug 1592745 has been marked as a duplicate of this bug. ***

Comment 8 Yadnyawalk Tale 2018-11-13 11:50:34 UTC
@Sam, before this we need to create tags in openstack provider and import that in cfme, right? Do you have steps/commands for creating tags in osp?

I can see multiple resources on internet, like https://docs.openstack.org/mitaka/networking-guide/ops-resource-tags.html.

But I guess this is related to adding tag to network resource (via neutron) and we want for instance resource (via nova), can you clarify?

Comment 9 Yadnyawalk Tale 2018-11-13 12:38:43 UTC
Just now I added tag to my osp instance (fedora29) with command
# nova server-tag-add 2ff880d8-6161-4f27-a026-c2b36a5a69e0 red

# nova server-tag-list 2ff880d8-6161-4f27-a026-c2b36a5a69e0
+-----+
| Tag |
+-----+
| red |
-------

How should I import this tag in cfme?

Comment 10 Yadnyawalk Tale 2018-11-14 12:45:26 UTC
On openstack, I have added properties (not as a nova instances tag it was wrong), as a server metadata tag.
#openstack server set --property foo=bar <server_id>

Here foo and bar are the key, value pair of tag. You will get server ids with
#openstack server list

You can check if that tag added in openstack with 
#openstack server show <server-id>

We are all done with openstack. Now in CFME we have to do mapping tag via mentioned steps (Comment #6).

Thanks info and help @Sam.

Comment 11 Yadnyawalk Tale 2018-11-14 12:47:29 UTC
Created attachment 1505661 [details]
tag_imports.png

Comment 12 Yadnyawalk Tale 2018-11-14 12:48:24 UTC
Fixed! Verified on 5.10.0.23.20181106165157_92dd189

Comment 13 errata-xmlrpc 2019-02-07 23:03:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.